Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class XStreamSolutionDao

    java.lang.Object
      org.optaplanner.examples.common.persistence.AbstractSolutionDao
          org.optaplanner.examples.common.persistence.XStreamSolutionDao

All Implemented Interfaces:
  SolutionDao

Direct Known Subclasses:
  CheapTimeDao, CloudBalancingDao, CurriculumCourseDao, DinnerPartyDao, ExaminationDao, MachineReassignmentDao, NQueensDao, NurseRosteringDao, PatientAdmissionScheduleDao, ProjectJobSchedulingDao, TennisDao, TravelingTournamentDao, TspDao, VehicleRoutingDao

    public abstract class XStreamSolutionDao

extends AbstractSolutionDao

Field Summary
`protected XStreamSolutionFileIO` | `xStreamSolutionFileIO`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionDao
`DATA_DIR_SYSTEM_PROPERTY, dataDir, dirName, logger`

Constructor Summary
`XStreamSolutionDao(String dirName, Class... xStreamAnnotations)`

Method Summary
`String` | `getFileExtension()`
`Solution` | `readSolution(File inputSolutionFile)`
`void` | `writeSolution(Solution solution, File outputSolutionFile)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionDao
`getDataDir, getDirName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xStreamSolutionFileIO

    protected XStreamSolutionFileIO xStreamSolutionFileIO

Constructor Detail

### XStreamSolutionDao

    public XStreamSolutionDao(String dirName,
                              Class... xStreamAnnotations)

Method Detail

### getFileExtension

    public String getFileExtension()

### readSolution

    public Solution readSolution(File inputSolutionFile)

### writeSolution

    public void writeSolution(Solution solution,
                              File outputSolutionFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.